Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateMessageSendFailed

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageSendFailed

Enclosing class:
  TdApi

public static final class TdApi.UpdateMessageSendFailed extends TdApi.Update
A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.Error`
`error`
The cause of the message sending failure.
`TdApi.Message`
`message`
The failed to send message.
`long`
`oldMessageId`
The previous temporary message identifier.

## Constructor Summary

Constructors
Constructor
Description
`UpdateMessageSendFailed()`
A message failed to send.
`UpdateMessageSendFailed(TdApi.Message message, long oldMessageId, TdApi.Error error)`
A message failed to send.
`UpdateMessageSendFailed(DataInput input)`
A message failed to send.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### message

public TdApi.Message message
The failed to send message.

### oldMessageId

public long oldMessageId
The previous temporary message identifier.

### error

public TdApi.Error error
The cause of the message sending failure.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateMessageSendFailed

public UpdateMessageSendFailed()
A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

### UpdateMessageSendFailed

public UpdateMessageSendFailed(TdApi.Message message, long oldMessageId, TdApi.Error error)
A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

Parameters:
  `message` - The failed to send message.
  `oldMessageId` - The previous temporary message identifier.
  `error` - The cause of the message sending failure.

### UpdateMessageSendFailed

public UpdateMessageSendFailed(DataInput input) throws IOException
A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`